from tkinter import *
from random import randint

def efface():

    '''' effacement de tous les objets du canevas'''

    can.delete('all')

def affiche():

    '''balaie la matrice et affiche les éléments dans le canevas'''

    for i in range(25):
        for j in range(40):
            if grille[i][j] == 1:
                can.create_image(j*32,i*32, image = avion, anchor ='nw')
            elif grille[i][j] == 2:
                can.create_image(j*32,i*32, image = bombe, anchor ='nw')
            elif grille[i][j] == 3:
                can.create_image(j*32,i*32, image = immeuble, anchor ='nw')


#######################
# PROGRAMME PRINCIPAL #
#######################


grille = [[0 for i in range(40)] for j in range(25)] # liste de listes représentant le 'plateau de jeu'


def anim():
    '''
        BOUCLE D'ANIMATION PRINCIPALE
    '''




    fen.after(30,anim)





def lacher_bombe(event):
    '''
        Procédure éxécutée lors de l'appui sur la touche 'b'
    '''






##############################
# FIN DU PROGRAMME PRINCIPAL #
##############################
fen = Tk()
fen.title('Bombardier')

avion = BitmapImage(file ='avion.xbm', foreground='white')
bombe = BitmapImage(file ='bombe.xbm', foreground='red')
immeuble = BitmapImage(file ='immeuble.xbm', foreground='grey')

can = Canvas(fen, width = 1280, height = 800, background='black')
can.pack()

fen.bind("b", lacher_bombe)

anim()

fen.mainloop()
